\name{createFilename}
\alias{createFilename}
\title{create a file path based off a given format.}
\usage{
  createFilename(format, fPath = format, base = "",
    overwrite = FALSE)
}
\arguments{
  \item{format}{A file format optionally containing the
  following tokens, which will be replaced from the "base"
  and "fPath" arguments.  \describe{ item{\%d}{the parent
  directory of the file in fPath} item{\%D}{dirname(fPath)}
  item{\%e}{the extension of the file in fPath (default
  "tif")} item{\%f}{the file name of the file in fPath}
  item{\%B}{the "base" parameter supplied in the
  arguments.} }}

  \item{fPath}{A filepath to grab "\%d", "\%D", etc from.}

  \item{base}{what to be used as "\%B" in "format".}

  \item{overwrite}{boolean, default FALSE, whether to
  return a filename that doesn't exist in the file system
  by appending numbers to the end (filename_1, filename_2,
  ...)}
}
\value{
  a file name with all the tokens substituted in.
}
\description{
  create a file path based off a given format.
}
\examples{
createFilename('\\\%B/\\\%d/\\\%f_new.\\\%e',fPath='/path/to/file.txt',
                base='/new/root/dir')
 # returns '/new/root/dir/to/file_new.txt'
createFilename('\\\%D/\\\%f_smaller.jpg',fPath='~/pictures/img.jpg')
 # returns '~/pictures/img_smaller.jpg'
}
\seealso{
  Other file: \code{\link{dir.browse}},
  \code{\link{file.browse}}, \code{\link{getExtension}},
  \code{\link{getFilename}},
  \code{\link{getUniqueFilename}},
  \code{\link{makeIfNotExists}}
}

